package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaBindingItemDetail;
import com.ruoyi.oa.domain.vo.OaBindingItemDetailVo;
import com.ruoyi.oa.domain.bo.OaBindingItemDetailBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 绑定记录明细Service接口
 *
 * @author ruoyi
 * @date 2025-06-23
 */
public interface IOaBindingItemDetailService {

    /**
     * 查询绑定记录明细
     */
    OaBindingItemDetailVo queryById(Long bindingItemId);

    /**
     * 查询绑定记录明细列表
     */
    TableDataInfo<OaBindingItemDetailVo> queryPageList(OaBindingItemDetailBo bo, PageQuery pageQuery);

    /**
     * 查询绑定记录明细列表
     */
    List<OaBindingItemDetailVo> queryList(OaBindingItemDetailBo bo);

    /**
     * 新增绑定记录明细
     */
    Boolean insertByBo(OaBindingItemDetailBo bo);

    /**
     * 修改绑定记录明细
     */
    Boolean updateByBo(OaBindingItemDetailBo bo);

    /**
     * 校验并批量删除绑定记录明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
